Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515874 - [RFE] Requests are empty in Infrastructure -> requests even though requests are there
Summary: [RFE] Requests are empty in Infrastructure -> requests even though requests ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: cfme-future
Assignee: Oleg Barenboim
QA Contact: Dave Johnson
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-21 14:11 UTC by Pradeep Kumar Surisetty
Modified: 2019-01-27 11:15 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-27 11:15:52 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pradeep Kumar Surisetty 2017-11-21 14:11:16 UTC
Description of problem:

1) Added RHV 3.5.5 to CFME 5.8.23
2) Run any request (for ex: Provision of vms)
3) Requests is empty in Infrastructure -> requests. It works fine with 5.9.0
   Though Service -> requests has the data.  

   This might be little misguiding to end user.  Hence low priority bz. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:

Requests is empty in Infrastructure -> requests

Expected results:

Requests should be listed in Infrastructure -> requests

Additional info:

Comment 2 Oleg Barenboim 2017-11-27 16:49:14 UTC
This BZ is requesting an RFE on CFME 5.8, but already verified in upcoming CFME 5.9 release?

Comment 3 Pradeep Kumar Surisetty 2017-12-11 16:37:41 UTC
(In reply to Oleg Barenboim from comment #2)
> This BZ is requesting an RFE on CFME 5.8, but already verified in upcoming
> CFME 5.9 release?

Yes. Its not working in 5.8. But it works with 5.9. 
I wouldn't say RFE. Changing it. 
It might be confusing for people.

Comment 4 Joe Rafaniello 2018-03-07 15:17:11 UTC
Reassigning to provisioning group... It sounds like this has been fixed but I can't tell if it was a UI or backend provisioning fix.  Maybe someone else can bisect this down?

Comment 5 Greg McCullough 2018-03-09 12:56:25 UTC
Dan - Any idea if this was changed in 5.9?

As I recall only Host provisioning was showing in Infra -> Requests.  For Service and VM Lifecycle provisioning the user is redirected to Service -> Request where we have groups these type of requests.

Note: The assignment is defined here [1] and you can see that most requests fall under the "Service" key with only "Host Provision" under "Infrastructure" and Automation requests under "Automate"

[1] https://github.com/ManageIQ/manageiq/blob/d5d2f586f8bd526b8169b9bc54eeecc3d9086779/app/models/miq_request.rb#L61-L100

Comment 7 Loic Avenel 2019-01-27 11:15:52 UTC
Infra>Request will be removed..


Note You need to log in before you can comment on or make changes to this bug.